<ui version="4.0" >
 <class>MainWindow</class>
 <widget class="QMainWindow" name="MainWindow" >
  <property name="geometry" >
   <rect>
    <x>0</x>
    <y>0</y>
    <width>637</width>
    <height>529</height>
   </rect>
  </property>
  <property name="sizePolicy" >
   <sizepolicy vsizetype="Preferred" hsizetype="MinimumExpanding" >
    <horstretch>0</horstretch>
    <verstretch>0</verstretch>
   </sizepolicy>
  </property>
  <property name="windowTitle" >
   <string>MainWindow</string>
  </property>
  <widget class="QWidget" name="centralwidget" >
   <layout class="QHBoxLayout" name="horizontalLayout" >
    <item>
     <widget class="TerrainDisplay" name="terrainDisplay" >
      <property name="sizePolicy" >
       <sizepolicy vsizetype="Expanding" hsizetype="Expanding" >
        <horstretch>1</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="toolTip" >
       <string>Terrain Display</string>
      </property>
      <property name="whatsThis" >
       <string>The Terrain Display shows a preview of the current terrain being edited.</string>
      </property>
     </widget>
    </item>
    <item>
     <widget class="QToolBox" name="toolBox" >
      <property name="sizePolicy" >
       <sizepolicy vsizetype="Minimum" hsizetype="Minimum" >
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <property name="minimumSize" >
       <size>
        <width>200</width>
        <height>0</height>
       </size>
      </property>
      <property name="currentIndex" >
       <number>0</number>
      </property>
      <widget class="QWidget" name="page" >
       <property name="geometry" >
        <rect>
         <x>0</x>
         <y>0</y>
         <width>232</width>
         <height>405</height>
        </rect>
       </property>
       <attribute name="label" >
        <string>Properties</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout" >
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_2" >
          <item>
           <widget class="QLabel" name="label" >
            <property name="text" >
             <string>Grid Size:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QSpinBox" name="spinBox" >
            <property name="maximum" >
             <number>1024</number>
            </property>
            <property name="value" >
             <number>64</number>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_8" >
          <item>
           <widget class="QLabel" name="label_11" >
            <property name="text" >
             <string>Draw Mode:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QComboBox" name="comboBox" >
            <item>
             <property name="text" >
              <string>Flat</string>
             </property>
            </item>
            <item>
             <property name="text" >
              <string>Normals</string>
             </property>
            </item>
            <item>
             <property name="text" >
              <string>Normals (Debug)</string>
             </property>
            </item>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_3" >
          <item>
           <widget class="QLabel" name="label_2" >
            <property name="sizePolicy" >
             <sizepolicy vsizetype="Preferred" hsizetype="Preferred" >
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="text" >
             <string>Rotation:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="label_3" >
            <property name="text" >
             <string>45.0</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="label_4" >
            <property name="text" >
             <string>45.0</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="label_5" >
            <property name="text" >
             <string>0.0</string>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_4" >
          <item>
           <widget class="QLabel" name="label_6" >
            <property name="sizePolicy" >
             <sizepolicy vsizetype="Preferred" hsizetype="Preferred" >
              <horstretch>0</horstretch>
              <verstretch>0</verstretch>
             </sizepolicy>
            </property>
            <property name="text" >
             <string>Zoom:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QLabel" name="label_7" >
            <property name="text" >
             <string>10.0</string>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <widget class="QPushButton" name="pushButton_2" >
          <property name="text" >
           <string>Fit Zoom</string>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
      <widget class="QWidget" name="page_2" >
       <property name="geometry" >
        <rect>
         <x>0</x>
         <y>0</y>
         <width>200</width>
         <height>405</height>
        </rect>
       </property>
       <attribute name="label" >
        <string>Fractal</string>
       </attribute>
       <layout class="QVBoxLayout" name="verticalLayout_2" >
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_5" >
          <item>
           <widget class="QLabel" name="label_8" >
            <property name="text" >
             <string>Seed:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QSpinBox" name="spinBox_2" >
            <property name="minimum" >
             <number>-32767</number>
            </property>
            <property name="maximum" >
             <number>32767</number>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_6" >
          <item>
           <widget class="QLabel" name="label_9" >
            <property name="text" >
             <string>Roughness:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QDoubleSpinBox" name="doubleSpinBox" >
            <property name="maximum" >
             <double>1.000000000000000</double>
            </property>
            <property name="singleStep" >
             <double>0.100000000000000</double>
            </property>
            <property name="value" >
             <double>0.650000000000000</double>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <layout class="QHBoxLayout" name="horizontalLayout_7" >
          <item>
           <widget class="QLabel" name="label_10" >
            <property name="text" >
             <string>Magnitude:</string>
            </property>
           </widget>
          </item>
          <item>
           <widget class="QDoubleSpinBox" name="doubleSpinBox_2" >
            <property name="maximum" >
             <double>2048.000000000000000</double>
            </property>
            <property name="singleStep" >
             <double>10.000000000000000</double>
            </property>
            <property name="value" >
             <double>64.000000000000000</double>
            </property>
           </widget>
          </item>
         </layout>
        </item>
        <item>
         <widget class="QPushButton" name="pushButton" >
          <property name="text" >
           <string>Generate</string>
          </property>
         </widget>
        </item>
       </layout>
      </widget>
     </widget>
    </item>
   </layout>
  </widget>
  <widget class="QMenuBar" name="menubar" >
   <property name="geometry" >
    <rect>
     <x>0</x>
     <y>0</y>
     <width>637</width>
     <height>22</height>
    </rect>
   </property>
  </widget>
  <widget class="QStatusBar" name="statusbar" />
 </widget>
 <customwidgets>
  <customwidget>
   <class>TerrainDisplay</class>
   <extends>QWidget</extends>
   <header>terraindisplay.h</header>
  </customwidget>
 </customwidgets>
 <resources/>
 <connections>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>sizeChanged(int)</signal>
   <receiver>spinBox</receiver>
   <slot>setValue(int)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>314</x>
     <y>239</y>
    </hint>
    <hint type="destinationlabel" >
     <x>628</x>
     <y>121</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinBox</sender>
   <signal>valueChanged(int)</signal>
   <receiver>terrainDisplay</receiver>
   <slot>setSize(int)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>628</x>
     <y>121</y>
    </hint>
    <hint type="destinationlabel" >
     <x>364</x>
     <y>159</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>xRotationChanged(double)</signal>
   <receiver>label_3</receiver>
   <slot>setNum(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>278</x>
     <y>352</y>
    </hint>
    <hint type="destinationlabel" >
     <x>558</x>
     <y>321</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>yRotationChanged(double)</signal>
   <receiver>label_4</receiver>
   <slot>setNum(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>168</x>
     <y>416</y>
    </hint>
    <hint type="destinationlabel" >
     <x>593</x>
     <y>321</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>zRotationChanged(double)</signal>
   <receiver>label_5</receiver>
   <slot>setNum(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>282</x>
     <y>497</y>
    </hint>
    <hint type="destinationlabel" >
     <x>628</x>
     <y>321</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>zoomChanged(double)</signal>
   <receiver>label_7</receiver>
   <slot>setNum(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>300</x>
     <y>497</y>
    </hint>
    <hint type="destinationlabel" >
     <x>628</x>
     <y>407</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>seedChanged(int)</signal>
   <receiver>spinBox_2</receiver>
   <slot>setValue(int)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>274</x>
     <y>102</y>
    </hint>
    <hint type="destinationlabel" >
     <x>569</x>
     <y>69</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>roughnessChanged(double)</signal>
   <receiver>doubleSpinBox</receiver>
   <slot>setValue(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>217</x>
     <y>311</y>
    </hint>
    <hint type="destinationlabel" >
     <x>569</x>
     <y>189</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>magnitudeChanged(double)</signal>
   <receiver>doubleSpinBox_2</receiver>
   <slot>setValue(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>205</x>
     <y>448</y>
    </hint>
    <hint type="destinationlabel" >
     <x>569</x>
     <y>309</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>spinBox_2</sender>
   <signal>valueChanged(int)</signal>
   <receiver>terrainDisplay</receiver>
   <slot>setSeed(int)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>569</x>
     <y>69</y>
    </hint>
    <hint type="destinationlabel" >
     <x>347</x>
     <y>238</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>doubleSpinBox</sender>
   <signal>valueChanged(double)</signal>
   <receiver>terrainDisplay</receiver>
   <slot>setRoughness(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>569</x>
     <y>189</y>
    </hint>
    <hint type="destinationlabel" >
     <x>347</x>
     <y>387</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>terrainDisplay</sender>
   <signal>zRotationChanged(double)</signal>
   <receiver>label_5</receiver>
   <slot>setNum(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>349</x>
     <y>497</y>
    </hint>
    <hint type="destinationlabel" >
     <x>628</x>
     <y>321</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>doubleSpinBox_2</sender>
   <signal>valueChanged(double)</signal>
   <receiver>terrainDisplay</receiver>
   <slot>setMagnitude(double)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>569</x>
     <y>309</y>
    </hint>
    <hint type="destinationlabel" >
     <x>363</x>
     <y>497</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>pushButton</sender>
   <signal>clicked()</signal>
   <receiver>terrainDisplay</receiver>
   <slot>makeFractal()</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>623</x>
     <y>426</y>
    </hint>
    <hint type="destinationlabel" >
     <x>315</x>
     <y>497</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>pushButton_2</sender>
   <signal>clicked()</signal>
   <receiver>terrainDisplay</receiver>
   <slot>zoomFit()</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>629</x>
     <y>441</y>
    </hint>
    <hint type="destinationlabel" >
     <x>232</x>
     <y>369</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>comboBox</sender>
   <signal>currentIndexChanged(int)</signal>
   <receiver>terrainDisplay</receiver>
   <slot>setDrawMode(int)</slot>
   <hints>
    <hint type="sourcelabel" >
     <x>550</x>
     <y>202</y>
    </hint>
    <hint type="destinationlabel" >
     <x>199</x>
     <y>264</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
